---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ping-service
spec:
  replicas: {{ replicas }}
  selector:
    matchLabels:
      app: ping-service
  template:
    metadata:
      labels:
        app: ping-service
    spec:
      containers:
      - image: gcr.io/google_containers/echoserver:{{ echoserver_version }}
        imagePullPolicy: IfNotPresent
        name: echoserver
        ports:
        - containerPort: 8080
---
apiVersion: v1
kind: Service
metadata:
  name: ping-service
spec:
  ports:
  - port: 80
    targetPort: 8080
    protocol: TCP
  selector:
    app: ping-service
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ping-service
  annotations:
    kubernetes.io/ingress.class: "nginx"
spec:
  rules:
  - http:
      paths:
      - path: /ping
        pathType: Prefix
        backend:
          service:
            name: ping-service
            port: 
              number: 80